block_header_info Struct Reference

Information about a .xz Block. More...

## Data Fields

uint32_t | header_size
| Size of the Block Header. More...
char | flags [3]
| A few of the Block Flags as a string. More...
lzma_vli | compressed_size
| Size of the Compressed Data field in the Block. More...
uint64_t | memusage
| Decoder memory usage for this Block. More...
char | filter_chain [FILTERS_STR_SIZE]
| The filter chain of this Block in human-readable form. More...

## Detailed Description

Information about a .xz Block.

## Field Documentation

## header_size

uint32_t block_header_info::header_size

Size of the Block Header.

## flags

char block_header_info::flags[3]

A few of the Block Flags as a string.

## compressed_size

lzma_vli block_header_info::compressed_size

Size of the Compressed Data field in the Block.

## memusage

uint64_t block_header_info::memusage

Decoder memory usage for this Block.

## filter_chain

char block_header_info::filter_chain[FILTERS_STR_SIZE]

The filter chain of this Block in human-readable form.

The documentation for this struct was generated from the following file:

- xz/list.c